### Method

# FwupdPlugin Device has_counterpart_guid

since: 1.9.21

#### Declaration [src]

    gboolean
    fu_device_has_counterpart_guid (
      FuDevice* self,
      const gchar* guid
    )

#### Description [src]

Finds out if the device has a specific counterpart GUID.

Available since: 1.9.21

#### Parameters

`guid`

  Type: `const gchar*`

  A GUID, e.g. `2082b5e0-7a64-478a-b1b2-e3404fab6dad`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the counterpart GUID is found.